Skip to main content
POST
Create Run

Authorizations

Authorization
string
header
required

Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.

Headers

idempotency-key
string
required
Required string length: 1 - 200
X-UI-Organization-ID
string | null

Choose an organization you belong to for scoped reads, writes, and billing. Users can belong to multiple organizations. Platform administrators may select any organization in this app.

Maximum string length: 128

Path Parameters

session_id
string<uuid>
required

Body

application/json
question
string
required
Minimum string length: 1
mode
enum<string>
default:quick
Available options:
quick,
exhaustive,
explore,
aggregate
output_type
enum<string>
default:answer
Available options:
answer,
report,
table,
presentation
output_name
string | null
Maximum string length: 200
template_id
string<uuid> | null

Session-owned report or PowerPoint template uploaded before generation

call_budget
integer | null
deprecated

Deprecated; analysis continues until its scoped work completes.

include_synthetic
boolean
default:false
parent_run_id
string<uuid> | null
revision_output_id
string<uuid> | null
group_by
string | null
Maximum string length: 200
codebook
string[]

Response

Successful Response